samhain (4.1.4-5) unstable; urgency=medium

  * Team upload.
  * d/rules:
    - Remove the entire /run dir instead of the non-existing file
      /var/run/samhain, fixing lintian error dir-or-file-in-run.
    - Remove trailing whitespace.
  * d/p/*: Add patch to fix FTBFS on s390x (Closes: #1091380).
  * d/changelog:
    - Wrap too long line in previous changelog entry.
    - Remove trailing whitespace.

 -- Sven Geuer <sge@debian.org>  Fri, 10 Jan 2025 21:53:52 +0100

samhain (4.1.4-4) unstable; urgency=medium

  * debian/samhain.service:
      - Do not call the init.d script as database initialisation takes a
        long time and, moreover, it does not appear to return control when
        it finishes and the service starts.
      - Add the PIDfile location as systemd expects it to be /run/samhain.pid
        but it is not there.
      - Add Documentation to refer to the manual page
  * debian/config, debian/templates, debian/po: Create a new configuration item
    to create the integrity database on package configuration if the
    administrator agrees to.
  * debian/rules, debian/samhain.service: Stop using the legacy /var/run and
    use /run instead to avoid warnings by some subsystems (e.g. systemd)
  * debian/po/es.po: Updated Spanish translation with new strings
  * debian/patches/: Add documentation and values to some patches that were
     missing them.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 Oct 2024 11:19:54 +0200

samhain (4.1.4-3) unstable; urgency=medium

  * Acknowledge NMUs (Closes: #1066529, #999967, #1007320, #843304)
  * Update the package and fix open bugs, to ensure it is properly supported
    now the package is team maintained (Closes:#1082808, #1083112)
  * debian/rules:
     - Remove libprelude from the configuration as libprelude does not support
       Python 3.13 (see #1081473)
     - Fix the call to dh_install to properly install the configuration
       file
  * debian/samhain.logrotate: Rename the file so it is installed by
    dh_installlogrotate and remove it from dh_install
  * debian/samhain.install: adjust the contents of the file
  * debian/control:
    - Update debhelper version and Standards version
    - Change the Maintainer field to make this a package managed by the
      pkg-security team
    - Remove libprelude dependency
    - Add location of VCS in Salsa
  * debian/samhain.service: Have samhain start through the PIDfile so
    integrity database gets created if it does not exist. Otherwise it will
    never start properly on a fresh install
  * Remove debian/compat as we set the debhelper level in debian/control
  * debian/po: Convert all files in ISO-8859 encoding to UTF-8
  * debian/README.Debian: Convert to UTF-8
  * debian/config, debian/preinst: Do not ignore errors in maintainer scripts
    (lintian fix) (Closes: #866278)
  * debian/rules: Fix FTCBFS: Pass --build and --host to ./configure with
    patch provided by Helmut Grohne (Closes: #900202)
  * debian/po/ro.po: Add Romanian translation (Closes: #10337089)
  * debian/samhain.init: Add short description to the init.d file so that
    the service name is properly logged into console (previously it would say
    'null' (Closes: #865574)
  * Add new patches:
    - debian/patches/configure_fixes.patch: Fix the autoconfiguration of the
      sources to work with the latest autoconf version in unstable
    - debian/patches/realclean: Clean properly the sources and autogenerated
      files
    - debian/patches/improve_errors: Improve the errors shown when samhain
      cannot start due to the database not existing (which needs to be
      initialise) as this is shown to the users when the service is attempted
      to be started but no database yet exists. Also improve the error shown
      when the configuration file does not exist.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 Oct 2024 01:41:16 +0200

samhain (4.1.4-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation with gcc-13. Thanks to Zixing Liu for the patch.
    (Closes: #1066529) (LP: #2061192)
  * Add missing build-depends on dh-exec.
  * Build-depend on libext2fs-dev instead of obsolete e2fslibs-dev.
  * Add missing shebangs to config and preinst. (Closes: #843304)

 -- Philipp Kern <pkern@debian.org>  Mon, 30 Sep 2024 09:52:13 +0200

samhain (4.1.4-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Disable logfile monitor and drop pcre (Closes: #999967)
  * Convert to source format 3.0 (Closes: #1007320)
  * Drop unused dh_autoreconf

 -- Bastian Germann <bage@debian.org>  Tue, 15 Aug 2023 22:46:14 +0200

samhain (4.1.4-2) unstable; urgency=medium

  * Add Build-Dep on libpcre3-dev to fix FTBFS. This library is required
    after enabling the optional logfile-monitor module (Closes: #827791)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 22 Jun 2016 19:47:39 +0200

samhain (4.1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #820293)
  * debian/samhain.doc-base: Update doc version

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 14 Jun 2016 00:46:35 +0200

samhain (3.1.0-8) unstable; urgency=medium

  * Enable the following optional modules: login-watch,
    mounts-check, logfile-monitor, process-check, port-check, suidcheck.
    Note: not configured in samhainrc file by default.
  * Updated config.{guess,sub}
  * debian/README.Debian: Fix typos
  * debian/compat: Update compatibility version to 9
  * debian/control:
     - Updated debhelper version requirement
     - Update Standards Version
     - Add Build dependencies to dh-autoreconf
     - Add misc:depends to Depends:
  * debian/rules: Rewrite to use debhelper instead of manual definitions,
    moving content from the rules file to separate files in the debian/
    directory.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 12 Jun 2016 10:58:11 +0200

samhain (3.1.0-7) unstable; urgency=medium

  * Applied patch provided by Andrea Claudi to move all non-volatile package
    state from /var/state/samhain to /var/lib/samhain, according to the FHS
    (Closes: #771461)
  * debian/preinst: Move the contents of /var/state/samhain (if they exist)
    to /var/lib/samhain on upgrades to avoid re-creating the Samhain state
    database on upgrades from previous versions.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 03 Dec 2014 00:57:15 +0100

samhain (3.1.0-6) unstable; urgency=medium

  * debian/rules: Add an option to disable the ASM code when building
    on amd64 targets. Work around to fix the FTBFS on amd64 and kfreebsd
    (Closes: #735530)
    Patch provided by Adam Conrad.
  * debian/control: Change build-deps to add autotools-dev. Build on new
    architectures will get config.{sub,guess} automatically without you needing
    to do a fresh upload to update the diff.
    Patch provided by Adam Conrad.
  * debian/samhain.init,debian/postinst: Initialise the integrity database if
    it does not exist the first time the init.d script is run, do not do it in
    postinst. This prevents package installation from sending a mail to root
    which causes problems in automated testing tools (such as piuparts)
    (Closes: #749602, #949403) (LP: #1756474)
  * debian/samhain.init: Fix call to pidofproc, provide it with the required
    arguments (Closes: #751747) (LP: #1330424)


 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 18 Jun 2014 21:39:56 +0200

samhain (3.1.0-5) unstable; urgency=medium

  * debian/samhainrc: Use 'root@localhost' for SetMailAddress instead of just
    'root' since the basic mailer configuration requires that a domain is
    provided in the RCPT TO.
  * debian/samhain.init: Improve the init script:
    - Do not fail in 'start' if the daemon is already started, use --oknodo
      (Closes: #736375)
    - Do not try to stop the daemon (and wait for it to stop) if it is not running
    - If the pidfile has been lost, try to determine the status using the
      process name instead
  * debian/control: Do not require libauparse-dev in kfreebsd (Closes: #736169)
  * debian/rules: update config.{sub,guess} on build if available and restore
    on clean

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 23 Jan 2014 04:00:30 +0100

samhain (3.1.0-3) unstable; urgency=medium

  * debian/rules:
    - Disable dnmalloc for all architectures expect those known to work. It
      seems to be the source of problems and segfaults in many different
      architectures (Closes: #533860, #657307)

      Even though dnmalloc improves samhain's security this is done to avoid
      potential problematic situations while we wait more information from
      upstream indicating in which architectures dnmalloc() can
      be safely enabled.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 16 Jan 2014 03:30:24 +0100

samhain (3.1.0-2) unstable; urgency=medium

  * debian/rules:
    - Disable dnmalloc for s390x, as it is done for s390 already
      (Closes: #733875)
    - Preliminary code to build server (yule) and client although. This a
      first step to fix #343346
  * debian/control
    - Add libauparse-dev to the Build-dependencies to ensure that audit
      support is enabled (Closes: #700156)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 16 Jan 2014 01:57:57 +0100

samhain (3.1.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #733468, #700109)
  * This new upstream release builds with gcc 4.8 (Closes: #701353)
  * Fix use of /var/run/samhain, which is created by the init.d script since
    version 2.6.2-1:
        - Remove the /var/run/samhain directory when the package is purged
        - Do not ship /var/run/samhain in the package file
    Thanks go to Thomas Goirand for spotting this issue and providing a patch,
    which I used as a basis for the above changes
    (Closes: #689902)
  * Default samhainrc now uses SetMailAddress=root, SetMailRelay=localhost
    since there have been reports of the previous confguration
    (SetMailAddress=root@localhost, SetMailRelay=NULL) not working since
    samhain tries to retrieve an MX record for 'localhost' from the DNS
    (Closes: 709753)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 10 Jan 2014 16:51:45 +0100

samhain (3.0.3-1) experimental; urgency=low

  * Updated to latest upstream version
  * Updated config.sub and config.guess with latest autools-dev versions
  * Update maintainer's name in debian/control

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 09 Apr 2012 23:28:06 +0200

samhain (2.8.3a-1) unstable; urgency=low

  * New upstream release (Closes: #602678)
    - Remove call to sstrip in Makefile.in
  * debian/samhain.init:
    - Do not try to remove stale lockfile, its location was not
      correct (it was /var/log/samhain/samhain.lock) and samhain
      will start nevertheless (Closes: 645678)
    - When restarting, check if the daemon is running before attempting
      to start it and complain if it's still there
    - Add a 'status' call to check if the daemon is running.
  [ Changes by Stephen Gran ]
  * debian/rules:
    - Disable dnmalloc where we know it doesn't work (Closes: #618728, #501232)
      According to upstream documentation dnmalloc doesn't work AMD64
      architectures including ia64 and freebsd-amd64
      (http://www.la-samhna.de/samhain/manual/dnmalloc.html)
  * debian/samhain.init, debian/samhain.logrotate.d:
    - Switch back to /var/run/samhain, as /var/run is now a symlink to /run,
      and samhain won't run if it's piddir is a symlink.
      (Closes: #645016, #631580)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 28 Oct 2011 10:36:35 +0200

samhain (2.6.2-2) unstable; urgency=low

  * Change configuration so that the pidfile used is /var/run/samhain.pid
    instead of /var/run/samhain/samhain.pid
  * Restore the NMU of version 2.2.3-6.1 in the debian/changelog history
    and source (although the rmel alignment bug is currently commented
    out) (Closes: #502820)
  * Updated config.sub and config.guess (Closes: #539945)
  * debian/rules changes:
      - Use pidfile checks to stop the daemon  (Closes: #533859)
      - Use LSB messages
  * Add /var/log/samhain/supervise to the directories to remove when purging
  (this directory was created in older versions of Samhain)
  * Include translations to debconf templates:
     - Danish translation, provided by Joe Dalton (Closes: #586240)
     - Brazilian Portuguese, provided by Flamarion Jorge  (Closes: #619250)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 26 Apr 2011 00:08:29 +0200

samhain (2.6.2-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS on KFreeBSD by defining _GNU_SOURCE and adjusting
    samhain-install.sh.in (Closes: #565820)
  * Lintian fixes:
    - Do not create /var/run/samhain in debian/dirs but, instead, do it in the
      init script when the daemon is started. (LP: #391111, #878242)
    - Fix debian/samhain.doc-base: section and PDf location
    - debian/postinst: change absolute reference to samhain binary
    - debian/control: Move Homepage to package header
    - debian/copyright: Re-encode in UTF-8
  * Use debhelper compatibility version 5 adjusting debian/compat
    and commenting out DH_COMPAT in debian/rules

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 18 Feb 2010 23:24:52 +0100

samhain (2.5.4-2) unstable; urgency=low

  * Fix FTBFS on KFreeBSD by defining _GNU_SOURCE and adjusting
    samhain-install.sh.in (Closes: #565820)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 18 Feb 2010 23:15:40 +0100

samhain (2.5.4-1) experimental; urgency=low

  * New upstream release, upload to experimental since it uses a new
  dnmalloc allocator as a security measure against heap buffer overflows
  and might introduce stability problems

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 05 Mar 2009 09:03:09 +0100

samhain (2.4.6a-1) experimental; urgency=low

  * New upstream release (Closes: #493114)
  * Update maintainer address
  * Add procps to Build-Depends
  * Adjust documentation handling for this new release in maintainer
    build scripts
  * Reenable GCC_STACK_PROTECT in the configure scripts to try to see if
    #382617 reproduces.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 28 Sep 2008 18:05:27 +0200

samhain (2.2.3-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix armel alignment issues by aligning a buffer in the Tiger implementation
    in src/sh_tiger0.c on a 32-bit boundary (Closes: #501231)

 -- Paul Wise <pabs@debian.org>  Mon, 20 Oct 2008 11:52:16 +0800

samhain (2.2.3-6) unstable; urgency=low

  * Take over maintainership. Previous upload was not a proper NMU.
    - Acknowledge changes in previous NMU. Actually, the fix
      to the init.d script also fixed a long-standing bug, which had the same
      symptoms (Closes: #499799, #255435)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 28 Sep 2008 17:59:50 +0200

samhain (2.2.3-5) unstable; urgency=low

  * Use "--oknodo" when stopping the daemon when restarting it
    Closes: #499799

 -- Christian Perrier <bubulle@debian.org>  Sun, 28 Sep 2008 17:20:13 +0200

samhain (2.2.3-4) unstable; urgency=low

  * Add LSB header to the init.d script (Closes: #468167)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 21 Mar 2008 02:09:28 +0100

samhain (2.2.3-3) unstable; urgency=low

  * Add OS detection to support kFreeBSD and Hurd with patches provided
    by Cyril Brulebois (Closes: #414151)
  * Add --foreground option to the example in the README.Debian
    (Closes: #390061)
  * Add support for Prelude, using patch provided by Pierre Chifflier
    (Closes: #312276)
  * Add additional files to the default samhainrc as suggested by Olleg
    Samoylov (Closes: #394622)
  * Modify Makefile.in so that the samhain program is not installe the program
    stripped, let dh_strip do his job (Closes: 437948)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 28 Oct 2007 21:53:52 +0100

samhain (2.2.3-2) unstable; urgency=low

  * Disable GCC_STACK_PROTECT from the autoconf definition as this
    introduces a FTBFS currently. Should be reenabled once this
    issue is fixed (Closes: #382617)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 19 Aug 2006 10:38:36 +0200

samhain (2.2.3-1) unstable; urgency=low

  * Upgrade to latest release
  * Make samhain's configuration file mode 640 (instead of 644, users
    don't need to read this file)
  * Modify default samhainrc so it does not include /usr/X11R6/bin since
    in the latest Xorg (v7) packages this directory is now a symlink
    (Closes: #378320)
  * Add /etc/nologin to the IgnoreAll section as suggested by Olleg Samoylov
    (Closes: #381859)
  * Add debconf translation to Portuguese contributed by Rui Branco (Note: had
    to change the PO-Revision-Date since it was not properly defined and had
    the default value) (Closes: #381446)
  * Further modify Makefile.in so 'sstrip' doesn't even get compiled (as we
    don't use it or redistribute it), it is also a pain to maintain as it
    includes kernel headers and breaks occasionally.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 17 Aug 2006 01:10:22 +0200

samhain (2.2.0-2) unstable; urgency=low

  * Include patch provided by upstream fix build issues in amd64 with
    gcc 4.1 (Closes: #370808)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  9 Jun 2006 16:15:08 +0200

samhain (2.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #366826)
  * Include patch provided by upstream to fix build error
    when building with autoconf 2.59d (Closes: #369503)
  * Provide Swedish Debconf translation sent by  Daniel Nylander
    (Closes: #331582)
  * Add information on how to build the server version and make new
    packages in the README.Debian file.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  5 Jun 2006 22:10:15 +0200

samhain (2.0.10a-4) unstable; urgency=low

  * Add Build-Depends on autoconf (Closes: #369387)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 30 May 2006 01:31:07 +0200

samhain (2.0.10a-3) unstable; urgency=low

  * Use AC_TRY_LINK instead of AC_TRY_COMPILE in aclocal.m4's
    GCC_STACK_PROTECT_CC to prevent a FTBFS with gcc-4.1 in
    mips (Closes: #358644)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 28 May 2006 19:17:49 +0200

samhain (2.0.10a-2) unstable; urgency=low

  * Make the package a non-native Debian package.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  5 Nov 2005 16:00:30 +0100

samhain (2.0.10a-1) unstable; urgency=low

  * New upstream release.
  * Update FSF address in debian/copyright (Closes #329046)
  * Added Swedish translation provided by Daniel Nylander (Closes #331582)
  * Fixed example in HOWTO-samhain+GnuPG.html to use --with-ftp (Closes:
    #306462)
  * Added /etc/postfix/prng_exch to the default samhainrc so that
    it is not checked for size change (Closes: #320110)
  * Commented out [Kernel] and [Utmp] sections in the default samhainrc file
    as they don't apply to Linux (Closes: #306971)
  * Properly purge samhain generate files (Closes: #333422)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Oct 2005 23:31:17 +0200

samhain (2.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #319587)
  * Use debhelper compatibility version 4, adjust debian/rules
    and remove debian/conffiles
  * Fix location of doc-base documents (Closes: #306471)
  * Added Vietnamese debconf translation provided by Clytie Siddall
    (Closes: #317877)
  * Removed usr/bin from debian/dirs as it is not needed
  * Add Dependency on "debconf | debconf-2.0" as requested by Joey Hess
  * Added copyright statements from the included libraries in debian/copyright
    after a review of the COPYING file and the source code.
  * Minor fixes in the header of debian/rules (20001 -> 2001 :-)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 28 Aug 2005 17:21:30 +0200

samhain (2.0.2a-2) unstable; urgency=low

  * Added check translation provided by Miroslav Kure (Closes: #294780)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 12 Feb 2005 12:32:32 +0100

samhain (2.0.2a-1) unstable; urgency=low

  * New upstream release (Closes: #259275)
    - Fixes buffer overflow which can lead to local root compromise.
      (no CVE entry) (Closes: #281199)
    - Adjusted locations of files used under debian/ since they have
      been moved in upstream sources
  * Since profiles have been removed provide a samhainrc file under debian/
    - This new samhainrc file is based in the samhainrc.linux file with
      the default values used in previous releases. It changes, however,
      the mail subject so it's clearer to the admin that the messages
      are sent by samhain.
  * Modified Makefile so errors related to used targets are trapped
    (Closes: #259958)
  * Fixed apt.conf example in README.Debian (Closes: #269843)
  * Included italian debian/po translation provided by Luca Monducci
    (Closes: #280140)
  * Added a new 'get-orig-source' target to retrieve the latest version
    from the homepage.
  * Replaced dh_installmanpages by dh_installman

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 14 Nov 2004 23:12:33 +0100

samhain (1.8.9-1) unstable; urgency=low

  * New upstream release (Closes: #238758)
  * Added new docs provided in this release do debian/docs

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  3 Jul 2004 16:29:25 +0200

samhain (1.8.2-4) unstable; urgency=low

  * Included Japanese translation provided by Hideki Yamane  (Closes: #243274)
  * Added logfile rotation as suggested by Max Goodman (Closes: #251799)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  7 Jun 2004 10:37:04 +0200

samhain (1.8.2-3) unstable; urgency=low

  * Added e2fslibs-dev to Build-Depends (Closes: #229851)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 27 Jan 2004 23:08:41 +0100

samhain (1.8.2-2) unstable; urgency=low

  * Removed redundant dependancy on libgmp3 (lintian error)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 26 Jan 2004 22:00:10 +0100

samhain (1.8.2-1) unstable; urgency=low

  * New upstream release (Closes: #228958)
  * Added more example files contributed under scripts/ to the package.
  * Added more documents provided under DOCS/
  * Added README.Debian note about using samhain on sid systems and over
    reports generated there (Closes: #226731)
  * Sh_unix.c now includes ext2fs/ext2fs.h instead of the Linux kernel headers
    (which are bound to break and should not be included by applications
    directly)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 26 Jan 2004 20:42:55 +0100

samhain (1.7.10-4) unstable; urgency=medium

  * Fixed postinst so the database is only initialised if it
    does not exist, otherwise it will get appended and will
    grow in each upgrade (potentially making samhain slower every
    time..)
  * Added NEWS file for users suggesting the revision of their
    state files due to this unreported bug.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 20 Sep 2003 23:13:12 +0200

samhain (1.7.10-3) unstable; urgency=low

  * Added dutch po-debconf translation (Closes: #205167)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 24 Aug 2003 01:44:14 +0200

samhain (1.7.10-2) unstable; urgency=high

  * Updated config.sub and config.guess with latest version (Closes: #203795)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  3 Aug 2003 22:19:33 +0200

samhain (1.7.10-1) unstable; urgency=low

  * New upstream release (Closes: #199571)
  * Moved to debconf po templates (Closes: #203671)
  * Added french po translation  (Closes: #203672)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  1 Aug 2003 17:37:42 +0200

samhain (1.7.8-1) unstable; urgency=low

  * New upstream release.
  * Modified the debian/rules and debian/docs files in order to adjust
    to the upstream changes in the upstream package.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 14 Jun 2003 22:26:31 +0200

samhain (1.7.1a-6) unstable; urgency=low

  * Added ${shlibs:Depends} since samhain is no longer compiled
    staticly (Closes: #196602)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 14 Jun 2003 22:11:20 +0200

samhain (1.7.1a-5) unstable; urgency=low

  * Now _reall_ removed the samhain.1.todo file
  * Added debconf versioned dependancy to ensure start-stop
  of samhain.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  5 Apr 2003 18:12:21 +0200

samhain (1.7.1a-4) unstable; urgency=low

  * Changed from Architecture: all to any. Stupid me.
  * Sstrip does not get called any longer (commented out in
    # Makefile.in) (Closes: #148453)
  * Re-enabled dh_strip
  * Removed samhain.1.todo from Debian dir (was getting installed
  as a manpage)
  * Postinst was not starting properly the samhain database, when
  was this removed????
  * Updating year in copyright file
  * Improved the description of the package
  * Removed dh_undocumented from debian/rules
  * Added more info to the README file
  * Modified Debian profiel so that nothing gets printed to /dev/console
  (PrintSeverity) and so that higher priorities get logged to syslog

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  4 Apr 2003 20:19:50 +0200

samhain (1.7.1a-3) unstable; urgency=low

  * Now Architecture: all  (Closes: #178883)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 30 Jan 2003 22:33:03 +0100

samhain (1.7.1a-2) unstable; urgency=low

  * Added a TODO file

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 10 Jan 2003 01:59:54 +0100

samhain (1.7.1a-1) unstable; urgency=low

  * New upstream release
  * Added latest config.sub and config.guess files (Closes: #173073)
  * Properly added an init script (I'm considering using the one provided in the package
  for all Linux distributions, and have fixed a typo in it, but I'm not sure about doing
  it just yet)
  * Removed undocumented manpages of binaries no longer present
  * Fixed many lintian errors
  * Made it 'i386' only, still no clue about the ELF header bug #148453

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  9 Jan 2003 20:17:21 +0100

samhain (1.6.1-2) unstable; urgency=low

  * Fixed typo in templates (unreported bug sent by Thomas Gebhardt)
  * Move template.ru to templates.ru (!)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 18 Nov 2002 12:17:34 +0100

samhain (1.6.1-1) unstable; urgency=low

  * New upstream release (missed 1.5, oh well...)
  * This package installs correctly (Closes: #152925)
  * Since yule is no longer installed the "ELF header" bug does no longer stand
  (Closes: #148453)
  * Fixed upstream's Makefile to clean the binaries properly.
  * Added a doc-base file for the manual.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  6 Sep 2002 09:52:41 +0200

samhain (1.4.7-4) unstable; urgency=low

  * Compiled against libgmp3-dev and changed dependancies (Closes: #151218)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 29 Jun 2002 01:08:26 +0200

samhain (1.4.7-3) unstable; urgency=low

  * Added libgmp2 depends and build-depends (Closes: #148594)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 27 Jun 2002 01:56:05 +0200

samhain (1.4.7-2) unstable; urgency=low

  * Changed Makefile to strip and then sstrip (previous buildds did this
  and worked for ia64). (Closes: #148463)
  * Added (properly) german and russian template files
  (Closes: #112158, #136607)
  * Modified default samhainrc to properly work for Debian environments
    (Closes: #131909)
  * This *is* a new release upstream, should have closed this bug
  previously (Closes: #148059)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 29 May 2002 14:09:56 +0200

samhain (1.4.7-1) unstable; urgency=low

  * Latest upstream release (stable) (Closes:
  * Added missing dirs to debian/dirs.
  * Added init.d as a conffile.
  * Moved /var/samhain to /var/log/samhain and also make use of
  other directories (/var/run, /var/lock/...)
  * Fixed postinst script accordingly.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 24 May 2002 19:37:15 +0200

samhain (1.3.0-4) unstable; urgency=low

  * Fixed init script to properly run samhain (Closes: #148057)
  * Added german template file (Closes: #112158)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 30 Dec 2001 17:23:19 +0100

samhain (1.3.0-3) unstable; urgency=medium

  * Fixed postinst issue (Closes: #120575)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 22 Nov 2001 21:42:30 +0100

samhain (1.3.0-2) unstable; urgency=low

  * Fixed positinst (Closes: #115890)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 20 Nov 2001 15:59:17 +0100

samhain (1.3.0-1) unstable; urgency=low

  * New upstream version.
  * Postinst does not fork when creating database (Closes: #115888)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 19 Nov 2001 17:06:15 +0100

samhain (1.2.6-4) unstable; urgency=high

  * Added debconf note and samhain initialization in background (Closes: #110841)
  * Changed section to admin.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  4 Sep 2001 19:42:25 +0200

samhain (1.2.6-3) unstable; urgency=low

  * Changed configure options so log files are installed in /var (Closes: #110668)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 30 Aug 2001 19:06:27 +0200

samhain (1.2.6-2) unstable; urgency=low

  * Added --oknodo to the Samhain stop in the init.d file (Closes: #110506)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 29 Aug 2001 15:55:44 +0200

samhain (1.2.6-1) unstable; urgency=low

  * Initial Release.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 20 Aug 2001 20:36:17 +0200
